- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_cursor_t

# mongoc_cursor_set_batch_size()

## Synopsis

    void
    mongoc_cursor_set_batch_size (mongoc_cursor_t *cursor, uint32_t batch_size);

## Parameters

- `cursor`: A mongoc_cursor_t.
- `batch_size`: The requested number of documents per batch.

## Description

Limits the number of documents returned in one batch. Each batch requires a round trip to the server. If the batch size is zero, the cursor uses the server-defined maximum batch size.

See Cursor Batches in the MongoDB Manual.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.